# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ore-utils"
version = "2.1.9"
description = "Utils for building ORE programs"
homepage = "https://ore.supply"
documentation = "https://ore.supply"
keywords = [
    "solana",
    "crypto",
    "mining",
]
license = "Apache-2.0"
repository = "https://github.com/regolith-labs/ore"

[dependencies.bytemuck]
version = "1.14.3"

[dependencies.solana-program]
version = "^1.18"

[dependencies.spl-associated-token-account]
version = "^2.3"
features = ["no-entrypoint"]
optional = true

[dependencies.spl-token]
version = "^4"
features = ["no-entrypoint"]
optional = true

[features]
deafult = []
spl = [
    "spl-token",
    "spl-associated-token-account",
]
